Page MenuHomePhabricator

Make Performance inspector opt-in (Beta Feature?)
Closed, ResolvedPublic

Description

As @Jdforrester-WMF suggestion in https://phabricator.wikimedia.org/T129322#2644359

I can probably do it tonight if we can just point me in the right direction in tonights meeting,

Event Timeline

Peter created this task.Sep 19 2016, 4:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2016, 4:11 PM

Hey, sorry, just saw this. Doing it as a Beta Feature is a lot more work for you that just a simple option but we can go that way if you want.

Peter added a comment.Oct 14 2016, 6:44 PM

@Jdforrester-WMF I thought that was your suggestion? :) Do you have option on where to put the link instead of having it in the Tools section (if you feel that is not the right place) if we just put it out there?

I'd just put it in the "Editing" tab (mw-prefsection-editing).

ori added a subscriber: ori.Nov 3 2016, 7:32 PM

@Jdforrester-WMF, we hope that this feature will prove valuable enough and popular enough that it is on by default. (By which I mean: the activation trigger for it will be visible for all users.) I understand that simply adding it to the sidebar is problematic, which is why I supported making it a beta feature. I'd like us to stick to that plan. My concern is that making it an editing preference is wrong (this isn't a preference for how you edit pages) and makes the feature less discoverable.

Gilles assigned this task to Peter.Dec 7 2016, 5:31 PM
Krinkle triaged this task as High priority.Mar 2 2017, 4:58 AM
Krinkle renamed this task from Make Performance inspector opt in for releasing to Make Performance inspector opt-in (Beta Feature?).Jun 27 2017, 10:14 PM
Peter added a comment.Sep 12 2017, 1:53 PM

Let us add this as a beta feature as a start.

Change 378000 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/PerformanceInspector@master] Turn into a beta feature

https://gerrit.wikimedia.org/r/378000

Change 378001 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/vagrant@master] Add betafeatures dependency for performanceinspector role

https://gerrit.wikimedia.org/r/378001

Change 378001 merged by jenkins-bot:
[mediawiki/vagrant@master] Add betafeatures dependency for performanceinspector role

https://gerrit.wikimedia.org/r/378001

Change 378000 merged by jenkins-bot:
[mediawiki/extensions/PerformanceInspector@master] Turn into a beta feature

https://gerrit.wikimedia.org/r/378000

Krinkle closed this task as Resolved.Nov 2 2017, 1:14 AM
Krinkle removed a project: Patch-For-Review.